org.h2gis.functions.spatial.convert

## Class ST_Force2D

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_Force2D

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_Force2D
    extends org.h2gis.api.DeterministicScalarFunction

Forces a Geometry into 2D mode by returning a copy with its z-coordinate set to `Double.NaN`.

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_Force2D()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `force2D(org.locationtech.jts.geom.Geometry geom)` Converts a XYZ geometry to XY.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Force2D

    public ST_Force2D()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### force2D

    public static org.locationtech.jts.geom.Geometry force2D(org.locationtech.jts.geom.Geometry geom)

Converts a XYZ geometry to XY.

Parameters:
  `geom` -
Returns: